前川です。自己レスです。

gem1.5.2で使用したgem関連ファイルは、gem1.7.2では、使用できなくなったので
しょうか。

Ruby1.8.7p352(mingw) と Ruby1.8.7p334(mingw) のgemのバージョンを調べまし
た。

D:\>ruby -v
ruby 1.8.7 (2011-02-18 patchlevel 334) [i386-mingw32]
D:\>gem -v
1.5.2

D:\>ruby -v
ruby 1.8.7 (2011-06-30 patchlevel 352) [i386-mingw32]
D:\>gem -v
1.7.2

となっていたので、p352のgemを1.5.2にダウングレードして、p334で使用していた
Mysql関連、デバッガ関連を
インストールしました。

デバッガ、MYSQLとも動作することが確認できました。

お騒がせしました。

インストールしたgem、rubyバージョン、gemバージョンは、以下です。

D:\>ruby -v
ruby 1.8.7 (2011-06-30 patchlevel 352) [i386-mingw32]

D:\>gem -v
1.5.2

D:\>gem list

*** LOCAL GEMS ***

deprecated (2.0.1)
linecache (0.43 mswin32)
mysql (2.8.1 x86-mswin32)
ruby-debug-base (0.10.3 mswin32)
ruby-debug-ide (0.4.5)

D:\>

eiichi_maekawa / mhi.co.jp wrote on 2011/08/11 09:06:19:

>
> 前川です。
>
> Ruby1.8.7p352にデバッガを設定できません。
>
> Ruby1.8.7p334では、設定できてます。
>
> 1.p334でのインストール結果;;
>  D:\Ruby187>gem install ruby-debug-base-0.10.3-mswin32.gem --local
>  Successfully installed linecache-0.43-x86-mswin32
>  Successfully installed ruby-debug-base-0.10.3-x86-mswin32
>  2 gems installed
>  Installing ri documentation for linecache-0.43-x86-mswin32...
>  Installing ri documentation for ruby-debug-base-0.10.3-x86-mswin32...
>  Installing RDoc documentation for linecache-0.43-x86-mswin32...
>  Installing RDoc documentation for ruby-debug-base-0.10.3-x86-mswin32...
>
>  D:\Ruby187>gem install ruby-debug-ide-0.4.5.gem --local
>  Successfully installed ruby-debug-ide-0.4.5
>  1 gem installed
>  Installing ri documentation for ruby-debug-ide-0.4.5...
>  Installing RDoc documentation for ruby-debug-ide-0.4.5...
>
> 2.p352でのインストール結果;;
>  D:\Ruby187p352>gem install ruby-debug-base-0.10.4-mswin32.gem --
--no-ri
> --no-rdoc --local
>  Successfully installed rbx-require-relative-0.0.5
>  Successfully installed linecache-0.46-x86-mswin32
>  Successfully installed ruby-debug-base-0.10.4-x86-mswin32
>  3 gems installed
>  Installing ri documentation for rbx-require-relative-0.0.5...
>  Installing ri documentation for linecache-0.46-x86-mswin32...
>  Installing ri documentation for ruby-debug-base-0.10.4-x86-mswin32...
>  Installing RDoc documentation for rbx-require-relative-0.0.5...
>  Installing RDoc documentation for linecache-0.46-x86-mswin32...
>  Installing RDoc documentation for ruby-debug-base-0.10.4-x86-mswin32...
>
>  D:\Ruby187p352>gem install ruby-debug-ide-0.4.16.gem -- --no-ri
--no-rdoc
> --local
>  Temporarily enhancing PATH to include DevKit...
>  Building native extensions.  This could take a while...
>  ERROR:  Error installing ruby-debug-ide-0.4.16.gem:
>          ERROR: Failed to build gem native extension.
>
>          D:/Ruby187p352/bin/ruby.exe mkrf_conf.rb --no-ri --no-rdoc
> --local
>
>
>  Gem files will remain installed in
> D:/Ruby187p352/lib/ruby/gems/1.8/gems/ruby-debug-ide-0.4.16 for
inspection.
>  Results logged to
>
D:/Ruby187p352/lib/ruby/gems/1.8/gems/ruby-debug-ide-0.4.16/ext/gem_make.out

>
>  gem_make.outの内容は、
>  D:/Ruby187p352/bin/ruby.exe mkrf_conf.rb
> --with-ruby-include=D:\Ruby187p352\ruby_src --local
>  となっています。
>
>  D:\Ruby187p352\ruby_src にある version.h の内容は、
>   #define RUBY_VERSION "1.8.7"
>   #define RUBY_RELEASE_DATE "2011-06-30"
>   #define RUBY_VERSION_CODE 187
>   #define RUBY_RELEASE_CODE 20110630
>   #define RUBY_PATCHLEVEL 352
>  となっており、ソースは問題ないと思っています。
>
> O/Sは、
> Microsoft Windows XP [Version 5.1.2600]
> (C) Copyright 1985-2001 Microsoft Corp.
> です。
>
> インストールは、全て、ローカルに必要なgemファイルをダウンロードして、実行
し
> ています。
>
> よろしくお願いします。
>
>